Subject: Re: splitting a commit that adds new files

From: Junio C Hamano <[email-masked]>
Date: Mon, 03 Feb 2014 10:11:34 -0800

Jeff King <[email-masked]> writes:

> [1] I _do_ use "reset -p" when splitting commits, but I do not think it
>     is useful here. I use it for "oops, I staged this change, but it
>     actually belongs in the next commit. Undo my staging, but leave the
>     changes in the working tree for the next one".

Sure.  I thought that was exactly what Duy was attempting to do when
he splitted a commit into two (or more).